Show / Hide Table of Contents

# Struct STB_TexteditState

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct STB_TexteditState

### Fields

| Improve this Doc View Source

#### cursor

##### Declaration

    public int cursor

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### cursor_at_end_of_line

##### Declaration

    public byte cursor_at_end_of_line

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### has_preferred_x

##### Declaration

    public byte has_preferred_x

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### initialized

##### Declaration

    public byte initialized

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### insert_mode

##### Declaration

    public byte insert_mode

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### padding1

##### Declaration

    public byte padding1

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### padding2

##### Declaration

    public byte padding2

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### padding3

##### Declaration

    public byte padding3

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### preferred_x

##### Declaration

    public float preferred_x

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### row_count_per_page

##### Declaration

    public int row_count_per_page

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### select_end

##### Declaration

    public int select_end

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### select_start

##### Declaration

    public int select_start

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### single_line

##### Declaration

    public byte single_line

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### undostate

##### Declaration

    public StbUndoState undostate

##### Field Value

Type | Description
--- | ---
StbUndoState |